# Publish system overview

The publish module intend to be a "multi-pin" feature for chats, allowing users to retrieve importants messages in a crowded conversation.

## Commands


### Subscribe

**Description** : Subscribe to this group chat publications

**Usage location** : Group chat only

**Command syntax** : /subscribe


### Unsubscribe

**Description** : Unsubscribe [target chat member] from this group chat publications. If no member is provided, unsubscribe yourself.

**Usage location** : Group chat

**Command syntax** : /unsubscribe [target chat member]

*note* : parameter [target chat member] not implemented


### ListSubscribers

**Description** : List all subscribers of this group chat

**Usage location** : Group chat

**Command syntax** : /listsubscribers


### Publish

**Description** : Publish a message to Alfred for this group chat and sends this message via MP to every subscriber of the group chat if they have not mutted it. The message can then be retrieved using the *retrieve* command.

**Usage location** : Group chat only

**Usage conditions** : Reply to the message to publish

**Command syntax** : /publish

### Unpublish

**Description** : Remove a published message from Alfred for this group chat

**Usage location** : Group chat only

**usage conditions** : Reply to the message to unpublish

**Command syntax** : /unpublish


### Retrieve

**Description** : if MP, retrieve all messages from subscribed sources for user, if Group Chat, retrieve all published messages for this chat 

**Usage location** : Group Chat or MP

**Command syntax** : /retrieve

### ToggleUpdates

**Description**: Activate/Deactivate automatic notifications from publish in the group chat where the command is used. By default, this is enabled.

**Usage location** : Group Chat

**Command syntax** : /toggleupdates

*note* : No notification can be send if the user has never done /registerprivate on a private chat with the bot, this is a limitation of the telegram bot API.